Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000160 [Piwigo] users & groups major always 2005.09.22 14:25 2005.10.05 19:47
Reporter noiry View Status public  
Assigned To plg
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 1.5.0RC2 Product Version 1.5.0RC1
  Target Version Product Build
Summary 0000160: en vrac : pb dans les requetes si gestion des users dans tables exterieures (phpBB)
Description !!!! 2 BUGS DIFFERENTS !!!!

admin/user_list.php :

ligne 64 :
----------
SELECT id
  FROM '.USERS_TABLE.'
  WHERE id != '.$conf['guest_id'].'
;';

remplacé par :
--------------
SELECT '.$conf['user_fields']['id'].' AS id
  FROM '.USERS_TABLE.'
  WHERE '.$conf['user_fields']['id'].' != '.$conf['guest_id'].'
;';

!!!!!!!!!!!!!!!

Ensuite, les updates massifs plantent :

admin/include/functions.php ligne 708 :

CREATE TABLE '.$temporary_tablename.'
(
'.implode(",\n", $columns).'
PRIMARY KEY(id)
)
;'

Forcement, quand id c'est user_id ca deconne... J'ai retiré la clé. Ca semble marcher... Mais je ne suis pas sur que ce soit très propre. Si vous avez une bonne solution...
Steps To Reproduce
Additional Information
Tags No tags attached.
browser IE
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0000278)
plg (manager)
2005.09.29 22:31

J'ai corrigé le premier bug en reprenant complètement la gestion de la liste des utilisateurs au niveau du code PHP. En effet, le bout de code dans lequel tu as détecté un bug est mauvais: si je choisis "tout" comme cible de mes modifs (suppresions, associations aux groupes, status, propriétés d'affichage), on s'attend à n'affecter que la liste filtrée et pas la liste complète.

Le code est bien meilleur maintenant car centralisé dans une fonction unique get_filtered_user_list.

J'aurai bien clos le bug, mais tu en as soumis 2 en même temps, donc je fermerai plus tard, le temps de corriger le second bug.
(0000283)
plg (manager)
2005.10.05 19:47

Second bug corrigé. Puisque les colonnes faisant parti de la clef sont fourni dans $dbfields['primary'], autant les utiliser).

https://mail.gna.org/public/phpwebgallery-cvs/2005-10/msg00000.html [^]

- Issue History
Date Modified Username Field Change
2005.09.22 14:25 noiry New Issue
2005.09.22 14:25 noiry browser => IE
2005.09.22 14:25 noiry Web server => Apache 1.3.x
2005.09.28 21:44 plg Category database => user or group management
2005.09.28 21:44 plg version => 1.5.0RC1
2005.09.29 22:31 plg Note Added: 0000278
2005.09.29 22:31 plg Assigned To => plg
2005.09.29 22:31 plg Status new => assigned
2005.10.05 19:47 plg Note Added: 0000283
2005.10.05 19:47 plg Status assigned => closed
2005.10.05 19:47 plg Resolution open => fixed
2005.10.05 19:47 plg Fixed in Version => 1.5.0RC2


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker